## org.opengis.metadata.content
Interface CoverageDescription

All Superinterfaces:
  ContentInformation

All Known Subinterfaces:
  ImageDescription

    @UML(identifier="MD_CoverageDescription",
         specification=ISO_19115)
    public interface CoverageDescription

extends ContentInformation

Information about the content of a grid data cell.

Since:
  GeoAPI 2.0

Method Summary
`RecordType` `getAttributeDescription()` Description of the attribute described by the measurement value.
`CoverageContentType` `getContentType()` Type of information represented by the cell value.
`RangeDimension` `getDimension()` Deprecated. Use `getDimensions()` instead.
`Collection<? extends RangeDimension>` `getDimensions()` Information on the dimensions of the cell measurement value.

Method Detail

### getAttributeDescription

    @UML(identifier="attributeDescription",
         obligation=MANDATORY,
         specification=ISO_19115)
    RecordType getAttributeDescription()

  Description of the attribute described by the measurement value.

### getContentType

    @UML(identifier="contentType",
         obligation=MANDATORY,
         specification=ISO_19115)
    CoverageContentType getContentType()

  Type of information represented by the cell value.

### getDimensions

    @UML(identifier="dimension",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends RangeDimension> getDimensions()

  Information on the dimensions of the cell measurement value.

  Since:
    GeoAPI 2.1

### getDimension

    @UML(identifier="dimension",
         obligation=OPTIONAL,
         specification=ISO_19115)
    RangeDimension getDimension()

  Deprecated. Use `getDimensions()` instead.

  Information on the dimensions of the cell measurement value.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.